﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DevLeap.Linq.Architecture.NTier.DomainModel;

namespace DevLeap.Linq.Architecture.NTier.DataLayer
{
    public interface IDalFactory
    {
        IDal<TEntity, TEntityList, TKey> CreateDal<TEntity, TEntityList, TKey>()
            where TEntity : BaseEntity, new()
            where TEntityList : IEnumerable<TEntity>;
    }
}
