﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DevLeap.Linq.Architecture.NTier.DomainModel
{
    // Listing 15-6 (part of)

    public class Order : BaseEntity
    {
        public Int32 OrderID { get; set; }

        public String CustomerID { get; set; }

        public Nullable<Int32> EmployeeID { get; set; }

        public Nullable<DateTime> OrderDate { get; set; }

        public Nullable<DateTime> RequiredDate { get; set; }

        public Nullable<DateTime> ShippedDate { get; set; }

        public Nullable<Int32> ShipVia { get; set; }

        public Nullable<Decimal> Freight { get; set; }

        public String ShipName { get; set; }

        public String ShipAddress { get; set; }

        public String ShipCity { get; set; }

        public String ShipRegion { get; set; }

        public String ShipPostalCode { get; set; }

        public String ShipCountry { get; set; }
    }
}
