﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DevLeap.Linq.ExtendingLINQ.SortedList {
    //
    // Listing 12-17
    //

    class KeyWrapper : IComparable {
        private string _s;
        public string Value {
            get {
                Console.Write("(" + _s + ") ");
                return _s;
            }
            set { _s = value; }
        }
        public override string ToString() {
            //Console.Write("+");
            return _s;
        }
        public KeyWrapper(string value) {
            _s = value;
        }

        #region IComparable Members

        public int CompareTo(object obj) {
            string operand = obj.ToString();
            Console.Write("[{0}<->{1}] ", this._s, operand);
            return _s.CompareTo(operand);
        }

        #endregion
    }
}
