﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using DevLeap.Linq.WCF.LinqToEntities.Services;

namespace DevLeap.Linq.WCF.LinqToEntities.SelfHost
{
    class Program
    {
        static void Main(string[] args)
        {
            using (ServiceHost host = new ServiceHost(typeof(CustomersService)))
            {
                host.Open();

                Console.WriteLine("CustomersService Host listening ...");
                Console.ReadLine();
            }

            Console.WriteLine("Press ENTER to start next ServiceHost");
            Console.ReadLine();

            using (ServiceHost host = new ServiceHost(typeof(CustomerManagerService)))
            {
                host.Open();

                Console.WriteLine("CustomerManagerService Host listening ...");
                Console.ReadLine();
            }
        }
    }
}
