﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DevLeap.Linq.WCF.LinqToEntities.Contracts;
using DevLeap.Linq.WCF.LinqToEntities.Biz;

namespace DevLeap.Linq.WCF.LinqToEntities.Services
{
    public class CustomerManagerService : ICustomerManagerService
    {
        #region ICustomerManagerService Members

        public NorthwindModel.Customers GetCustomer(CustomerKey key)
        {
            return (new CustomersBiz().GetCustomer(key.CustomerID));
        }

        public NorthwindModel.Customers UpdateCustomer(NorthwindModel.Customers customer)
        {
            return (new CustomersBiz().UpdateCustomer(customer));
        }

        public NorthwindModel.Customers InsertCustomer(NorthwindModel.Customers customer)
        {
            return (new CustomersBiz().InsertCustomer(customer));
        }

        public DeletionResult DeleteCustomer(NorthwindModel.Customers customer)
        {
            return (new DeletionResult { Result = new CustomersBiz().DeleteCustomer(customer) });
        }

        #endregion
    }
}
