﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DevLeap.Linq.WCF.LinqToSQL.Contracts;
using DevLeap.Linq.WCF.LinqToSQL.NorthwindModel;
using DevLeap.Linq.WCF.LinqToSQL.Biz;

namespace DevLeap.Linq.WCF.LinqToSQL.Services
{
    public class CustomerService: ICustomerService
    {
        public Customer GetCustomer(CustomerSelector selector)
        {
            CustomerBiz cb = new CustomerBiz();
            return (cb.GetCustomer(selector.CustomerID));
        }

        public Customer AddCustomer(Customer customer)
        {
            CustomerBiz cb = new CustomerBiz();
            return (cb.AddCustomer(customer));
        }

        public Customer UpdateCustomer(Customer customer)
        {
            CustomerBiz cb = new CustomerBiz();
            return (cb.UpdateCustomer(customer));
        }

        public DeletionResult DeleteCustomer(Customer customer)
        {
            CustomerBiz cb = new CustomerBiz();
            return (new DeletionResult { Result = cb.DeleteCustomer(customer)} );
        }
    }
}
