﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using DevLeap.Linq.WCF.Orders.Contracts.Serializable;

namespace DevLeap.Linq.WCF.Orders.ConsumerByFactory
{
    class Program
    {
        static void Main(string[] args)
        {
            ChannelFactory<IOrderService> svcFactory =
                new ChannelFactory<IOrderService>(
                    new WSHttpBinding(),
                    "http://localhost:8000/OrderService");

            IOrderService svcChannel = svcFactory.CreateChannel();
            
            Order o = new Order() { Id = 1, Amount = 100, CustomerCode = "PP001" };
            int result = svcChannel.InsertOrder(o);

            Console.WriteLine("Inserted order {0}", result);
        }
    }
}
