﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace DevLeap.Linq.WCF.Orders.Contracts.MessageContract
{
    [MessageContract(
        IsWrapped = true, 
        WrapperName = "Order",
        WrapperNamespace = "http://schemas.devleap.com/Order")]
    public class OrderRequestMessage
    {
        [MessageHeader(MustUnderstand = true)]
        public Guid TransactionId { get; set; }

        [MessageBodyMember(Order = 0)]
        public int Id { get; set; }

        [MessageBodyMember(Order = 0)]
        public decimal Amount { get; set; }

        [MessageBodyMember(Order = 0)]
        public string CustomerCode { get; set; }
    }
}
