﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Listing16-14.aspx.cs" Inherits="Listing16_14" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Listing 16-14</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <br />
        Country:&nbsp;
        <asp:DropDownList ID="ddlCountries" runat="server" AutoPostBack="True" 
            DataSourceID="countriesDataSource" DataTextField="Country" 
            DataValueField="Country">
        </asp:DropDownList>
        <br />
    
        <asp:GridView ID="customersGrid" runat="server" DataSourceID="customersDataSource" 
            AutoGenerateColumns="False">
            <Columns>
                <asp:BoundField DataField="CompanyName" HeaderText="CompanyName" 
                    ReadOnly="True" SortExpression="CompanyName" />
                <asp:BoundField DataField="ContactName" HeaderText="ContactName" 
                    ReadOnly="True" SortExpression="ContactName" />
                <asp:BoundField DataField="Country" HeaderText="Country" ReadOnly="True" 
                    SortExpression="Country" />
            </Columns>
        </asp:GridView>
        <asp:LinqDataSource ID="customersDataSource" runat="server" 
            ContextTypeName="NorthwindDataContext" 
            Select="new (CompanyName, ContactName, Country)" TableName="Customers" 
            Where="Country == @Country">
            <WhereParameters>
                <asp:ControlParameter ControlID="ddlCountries" Name="Country" 
                    PropertyName="SelectedValue" Type="String" />
            </WhereParameters>
        </asp:LinqDataSource>
    
        <br />
        <asp:LinqDataSource ID="countriesDataSource" runat="server" 
            ContextTypeName="NorthwindDataContext" GroupBy="Country" 
            OrderGroupsBy="key" Select="new (key as Country)" 
            TableName="Customers">
        </asp:LinqDataSource>

    </div>
    </form>
</body>
</html>
