﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.Linq;

public partial class Listing16_18 : System.Web.UI.Page
{
    /// <summary>
    /// Listing 16-18
    /// </summary>
    protected void customersDataSource_Updating(object sender, LinqDataSourceUpdateEventArgs e)
    {
        if (((Customer)e.OriginalObject).Country !=
            (((Customer)e.NewObject).Country))
        {
            e.Cancel = true;
        }
    }

    /// <summary>
    /// Listing 16-19
    /// </summary>
    protected void customersDataSource_Updated(object sender, LinqDataSourceStatusEventArgs e)
    {
        if ((e.Result == null) && (e.Exception != null))
        {
            if (e.Exception is ChangeConflictException)
            {
                // Handle data concurrency issue
                // TBD ...

                // Stop exception bubling
                e.ExceptionHandled = true;
            }
        }
    }
}
