﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.Linq;

public partial class Listing16_20 : System.Web.UI.Page
{
    protected void customersDataSource_ContextCreated(object sender, LinqDataSourceStatusEventArgs e)
    {
        NorthwindDataContext dc = e.Result as NorthwindDataContext;
        if (dc != null)
        {
            // Instructs the DataContext to load orders of current year with each customer instance
            DataLoadOptions dlo = new DataLoadOptions();
            dlo.AssociateWith<Customer>(c => c.Orders.Where(o => o.OrderDate.Value.Year == DateTime.Now.Year));

            dc.LoadOptions = dlo;
        }
    }
}
