﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Listing16_26 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        NorthwindDataContext dc = new NorthwindDataContext();

        var query =
            from c in dc.Customers
            where c.Country == "USA" && c.Orders.Count > 0
            select new { 
                c.CustomerID, c.ContactName, 
                c.CompanyName, c.Country, 
                OrdersCount = c.Orders.Count };

        customersGrid.DataSource = query;
        customersGrid.DataBind();
    }
}
