﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Listing16-9.aspx.cs" Inherits="Listing16_9" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Listing 16-9</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>

    <asp:ListView ID="customersList" runat="server"
        DataSourceID="customersDataSource">
        <LayoutTemplate>
            <table cellpadding="2" cellspacing="3">
                <tr>
                    <th style="text-align: center">CustomerId</th>
                    <th style="text-align: center">CompanyName</th>
                    <th style="text-align: center">ContactName</th>
                    <th style="text-align: center">Country</th>
                </tr>
                <asp:PlaceHolder ID="itemPlaceholder" runat="server" />
            </table>
        </LayoutTemplate>
        <ItemTemplate>
            <tr>
                <td style="text-align: center">
                    <asp:Label ID="Label1" runat="server" Text='<%# Eval("CustomerId") %>' />
                </td>
                <td style="text-align: center">
                    <asp:Label ID="Label2" runat="server" Text='<%# Eval("CompanyName") %>' />
                </td>
                <td style="text-align: center">
                    <asp:Label ID="Label3" runat="server" Text='<%# Eval("ContactName") %>' />
                </td>
                <td style="text-align: center">
                    <asp:Label ID="Label4" runat="server" Text='<%# Eval("Country") %>' />
                </td>
            </tr>
        </ItemTemplate>
    </asp:ListView>

    <asp:DataPager ID="customersListPager" runat="server" PagedControlID="customersList" PageSize="5">
        <Fields>
            <asp:NextPreviousPagerField ButtonType="Link" 
                FirstPageText="&lt;&lt;" PreviousPageText="&lt;" 
                ShowFirstPageButton="true" ShowLastPageButton="false" 
                ShowPreviousPageButton="true" ShowNextPageButton="false"  />
            <asp:NumericPagerField ButtonCount="20" ButtonType="Link" />
            <asp:NextPreviousPagerField ButtonType="Link" 
                LastPageText="&gt;&gt;" NextPageText="&gt;" 
                ShowFirstPageButton="false" ShowLastPageButton="true" 
                ShowPreviousPageButton="false" ShowNextPageButton="true" />
        </Fields>
    </asp:DataPager>
    
    <asp:SqlDataSource ID="customersDataSource" runat="server"
        ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
        SelectCommand="SELECT [CustomerID], [CompanyName], [ContactName], [Country] FROM [Customers]" />
    
    </div>
    </form>
</body>
</html>
