using System;
using System.Linq;
using System.Linq.Expressions;

namespace DevLeap.Linq.CSharp.LambdaExpressions {
    // ------------------------------------------------------
    //
    // BEGIN Listing B-21
    //

    class ExpressionTree {
        delegate T Func<T>(T a, T b);
        public static void Listing2_19() {
            Func<int> x = (a, b) => a + b;
            Expression<Func<int>> y = (a, b) => a + b;

            Console.WriteLine("Delegate");
            Console.WriteLine(x.ToString());
            Console.WriteLine(x(29, 13));
            Console.WriteLine("Expression tree");
            Console.WriteLine(y.ToString());
            Console.WriteLine(y.Compile()(29, 13));
        }
    }
    //
    // END    Listing B-21
    //
    // ------------------------------------------------------

}