﻿using System;
using System.Collections.Generic;
using System.Text;

namespace DevLeap.Linq.CSharp.Var {

    class VarDemo {
        static void Main() {
            VarObjectDifference();
            VarDemo demo = new VarDemo();
            demo.ValidUse(2);
        }

        public void ValidUse(decimal d) {
            var x = 2.3;                // double
            var y = x;                  // double
            var r = x / y;              // double
            var s = "sample";           // string
            var l = s.Length;           // int
            var w = d;                  // decimal
            var p = default(string);    // string

            Console.WriteLine(d.GetType().ToString());
            Console.WriteLine(x.GetType().ToString());
            Console.WriteLine(y.GetType().ToString());
            Console.WriteLine(r.GetType().ToString());
            Console.WriteLine(s.GetType().ToString());
            Console.WriteLine(l.GetType().ToString());
            Console.WriteLine(w.GetType().ToString());
            // Console.WriteLine( p.GetType().ToString() ); // Exception if p is null
        }
        public static void VarObjectDifference() {
            var a = 2;       // a is declared as int
            object b = 2;    // Boxing an int into an object

            int c = a;       // No cast, no unboxing
            int d = (int)b;  // Cast is required, an unboxing is done
        }
        /*    
            var k = 0;
            public void InvalidUseParameter( var x ) {}
            public var InvalidUseResult() {
                return 2;
            }
            public void InvalidUseLocal() {
                var x;
                var y = null;
            }
        */

    }

}