﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DevLeap.Linq.ExtendingLINQ.CustomOperator {
    // 
    // Listing 12-1
    // 
    public class Stock {
        public string Ticker { get; set; }
        public string Name { get; set; }
        public decimal Shares { get; set; }
        public List<Quote> Quotes { get; set; }

        public override string ToString() {
            return String.Format(
                "{0}: {1}  MIN {2} - MAX {3}",
                Ticker,
                Shares,
                Quotes.Min(q => q.Price),
                Quotes.Max(q => q.Price));
        }
    }
}
