﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DevLeap.FlightStatus;

namespace DevLeap.Linq.FlightStatus {
    // 
    // Listing 12-32
    // 
    internal class FlightQueryParameters {
        public FlightStatusService.QueryFilter Filter { get; set; }
        public int MaxFlights { get; set; }

        public FlightQueryParameters() {
            this.Filter = new FlightStatusService.QueryFilter();
            this.MaxFlights = -1;
        }

        public override string ToString() {
            if (MaxFlights >= 0) {
                return String.Format("{0}Maximum returned flights: {1}", Filter.ToString(), MaxFlights);
            }
            else {
                return Filter.ToString();
            }
        }
    }
}
