﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DevLeap.FlightStatus;

namespace DevLeap.Linq.FlightStatus {
    public static class FlightStatusExtension {
        public static IQueryable<Flight> AsQueryable(
            this FlightStatusService flightStatus ) {
            
            FlightQueryProvider context = 
                new FlightQueryProvider(flightStatus);
            return new FlightQuery(context);
        }
    }
}
