﻿Module LambdaExpressions

    Public Class Customer
        Public Name As String
        Public Country As String
    End Class
    Sub Main()

        '
        ' NOTE for Listing C-26
        '
        ' THe code in Listing C-26 is illustrative only. That code is not present in sample code.
        '

        ' ------------------------------------------------------
        '
        ' BEGIN Listing C-27
        '

        Dim customers As New List(Of Customer)
        customers.Add(New Customer With {.Name = "Marco", .Country = "Italy"})
        customers.Add(New Customer With {.Name = "Paolo", .Country = "Italy"})
        customers.Add(New Customer With {.Name = "Tom", .Country = "USA"})

        ' The lambda expressions syntax will be supported in following betas
        Dim query = customers.FindAll(Function(c) c.Country = "USA")
        '
        ' END Listing C-27
        '
        ' ------------------------------------------------------

        ' The lambda expressions syntax will be supported in following betas
        For Each x In query
            Console.WriteLine(x.Name)
        Next

    End Sub


End Module
