﻿Option Strict Off

' ------------------------------------------------------
'
' BEGIN Listing C-42
'
Public Delegate Sub EventHandler(ByVal s As Object, ByVal e As EventArgs)

Public Class DemoEvent
    Public Event Click As EventHandler
End Class

Module Application
    Public WithEvents A As DemoEvent

    Sub DemoOnClick(ByVal s As Object, ByVal e As Object) Handles A.Click
        Console.WriteLine("Hello World")
    End Sub
    '
    ' END Listing C-42
    '
    ' ------------------------------------------------------

    ' ------------------------------------------------------
    '
    ' BEGIN Listing C-43
    '
    Sub RelaxedOnClick2() Handles A.Click
        Console.WriteLine("Hello World from")
    End Sub
    '
    ' END Listing C-43
    '
    ' ------------------------------------------------------

    Sub Main()
        RelaxedDelegateDemo()
    End Sub

    Sub RelaxedDelegateDemo()
        Dim w As EventHandler
        w = AddressOf DemoOnClick
    End Sub

End Module
