﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DevLeap.Linq.WCF.LinqToEntities.ConsumerByWsdl.CustomersServiceAgent;

namespace DevLeap.Linq.WCF.LinqToEntities.ConsumerByWsdl
{
    class Program
    {
        static void Main(string[] args)
        {
            CustomersServiceClient ws =
                new CustomersServiceClient("WSHttpBinding_ICustomersService");

            CustomersFilter request = new CustomersFilter { Country = "USA" };
            Customers result = ws.ListCustomers(request);

            foreach (Customers1 c in result)
            {
                Console.WriteLine("{0} - {1} - {2}", c.CustomerID,
                    c.CompanyName, c.Country);
            }

            Console.ReadLine();
        }
    }
}
