﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using NorthwindModel;

namespace DevLeap.Linq.WCF.LinqToEntities.Contracts
{
    [ServiceContract(Namespace = "http://schemas.devleap.com/NW/CustomerManagerService")]
    public interface ICustomerManagerService
    {
        [OperationContract()]
        Customers GetCustomer(CustomerKey key);

        [OperationContract]
        Customers UpdateCustomer(Customers customer);

        [OperationContract]
        Customers InsertCustomer(Customers customer);

        [OperationContract]
        DeletionResult DeleteCustomer(Customers customer);
    }
}
