﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DevLeap.Linq.WCF.LinqToSQL.NorthwindModel;
using System.ServiceModel;

namespace DevLeap.Linq.WCF.LinqToSQL.Contracts
{
    [ServiceContract(Namespace = "http://schemas.devleap.com/CustomerService")]
    public interface ICustomerService
    {
        [OperationContract()]
        Customer GetCustomer(CustomerSelector selector);

        [OperationContract()]
        Customer AddCustomer(Customer customer);

        [OperationContract()]
        Customer UpdateCustomer(Customer customer);

        [OperationContract()]
        DeletionResult DeleteCustomer(Customer customer);
    }
}
