﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Listing16-2.aspx.cs" Inherits="Listing16_2" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Listing 16-2</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
    <asp:ListView ID="customersList" runat="server"
        ItemPlaceholderID="dataItemPlaceholder"
        GroupPlaceholderID="groupPlaceholder"
        DataSourceID="customersDataSource" GroupItemCount="5">
        <LayoutTemplate>
            <table cellpadding="2" cellspacing="3">
                <asp:PlaceHolder ID="groupPlaceholder" runat="server" />
            </table>
        </LayoutTemplate>
        <GroupTemplate>
            <tr>
                <asp:PlaceHolder ID="dataItemPlaceholder" runat="server" />
            </tr>
        </GroupTemplate>
        <ItemTemplate>
            <td align="center" style="background-color: LightGreen;">
                <b><asp:Label ID="Label1" runat="server" Text='<%# Eval("CustomerId") %>' /></b> - 
                <asp:Label ID="Label2" runat="server" Text='<%# Eval("ContactName") %>' /><br />
                <asp:Label ID="Label3" runat="server" Text='<%# Eval("CompanyName") %>' />
                [<asp:Label ID="Label4" runat="server" Text='<%# Eval("Country") %>' />]
            </td>
        </ItemTemplate>
        <EmptyItemTemplate>
            <td align="center" style="background-color: LightGreen;">&nbsp;</td>
        </EmptyItemTemplate>
    </asp:ListView>
    
    <asp:SqlDataSource ID="customersDataSource" runat="server"
        ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
        SelectCommand="SELECT [CustomerID], [CompanyName], [ContactName], [Country] FROM [Customers]" />

    </div>
    </form>
</body>
</html>
