﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Listing16_27 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        XElement feed = XElement.Load("http://introducinglinq.com/blogs/MainFeed.aspx");

        var query =
            from f in feed.Descendants("item")
            select new
            {
                Title = f.Element("title").Value,
                PubDate = f.Element("pubDate").Value,
                Description = f.Element("description").Value
            };

        blogPostsGrid.DataSource = query;
        blogPostsGrid.DataBind();
    }
}
