﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Listing16-6.aspx.cs" Inherits="Listing16_6" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Listing 16-6</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>

    <asp:ListView ID="orderDetailsList" runat="server"
        DataKeyNames="OrderID, ProductID"
        DataSourceID="orderDetailsDataSource"
        OnSelectedIndexChanged="orderDetailsList_SelectedIndexChanged">
        <LayoutTemplate>
            <table border="1" cellpadding="2" cellspacing="3">
                <tr>
                    <th style="text-align: center;">Action Command</th>                
                    <th style="text-align: center;">OrderID + ProductID</th>                
                    <th style="text-align: center;">UnitPrice</th>
                    <th style="text-align: center;">Quantity</th>
                    <th style="text-align: center;">Total</th>
                </tr>
                <asp:PlaceHolder ID="itemPlaceholder" runat="server" />
            </table>
        </LayoutTemplate>
        <ItemTemplate>
            <tr>
                <td style="text-align: center;">
                    <asp:Button CommandName="Select" Text="Select" runat="server" />
                </td>
                <td style="text-align: center;">
                    <b><asp:Label runat="server" Text='<%# Eval("OrderID") %>' /> - 
                    <asp:Label runat="server" Text='<%# Eval("ProductID") %>' /></b><br />
                </td>
                <td style="text-align: center;"><asp:Label runat="server" Text='<%# Eval("UnitPrice", "{0:c}") %>' /></td>
                <td style="text-align: center;"><asp:Label runat="server" Text='<%# Eval("Quantity") %>' /></td>
                <td style="text-align: right;"><asp:Label runat="server" Text='<%# Eval("Total", "{0:c}") %>' /></td>
            </tr>
        </ItemTemplate>
        <SelectedItemTemplate>
            <tr style="background-color: LightGreen;">
                <td style="text-align: center;">
                    <asp:Button ID="Button1" CommandName="Select" Text="Select" runat="server" />
                </td>
                <td style="text-align: center;">
                    <b><asp:Label ID="Label1" runat="server" Text='<%# Eval("OrderID") %>' /> - 
                    <asp:Label ID="Label2" runat="server" Text='<%# Eval("ProductID") %>' /></b><br />
                </td>
                <td style="text-align: center;"><asp:Label ID="Label3" runat="server" Text='<%# Eval("UnitPrice", "{0:c}") %>' /></td>
                <td style="text-align: center;"><asp:Label ID="Label4" runat="server" Text='<%# Eval("Quantity") %>' /></td>
                <td style="text-align: right;"><asp:Label ID="Label5" runat="server" Text='<%# Eval("Total", "{0:c}") %>' /></td>
            </tr>
        </SelectedItemTemplate>
    </asp:ListView>
    
    <asp:SqlDataSource ID="orderDetailsDataSource" runat="server"
        ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
        SelectCommand="SELECT TOP 20 [OrderID], [ProductID], [UnitPrice], [Quantity], [UnitPrice] * [Quantity] AS [Total] FROM [Order Details]" />
        
    </div>

    <div>
       <asp:Label ID="selectedItemId" runat="server" />    
    </div>

    </form>
</body>
</html>
